diff --git a/include/wlr/render/egl.h b/include/wlr/render/egl.h
index 9a5bc76b18..04c0190aad 100644
--- a/include/wlr/render/egl.h
+++ b/include/wlr/render/egl.h
@@ -32,8 +32,6 @@
 struct wlr_egl_context {
 	EGLDisplay display;
 	EGLContext context;
-	EGLSurface draw_surface;
-	EGLSurface read_surface;
 };
 
 struct wlr_egl {
diff --git a/render/egl.c b/render/egl.c
index 4ff1c1b7a5..5b077fef4d 100644
--- a/render/egl.c
+++ b/render/egl.c
@@ -426,8 +426,6 @@ bool wlr_egl_is_current(struct wlr_egl *egl) {
 void wlr_egl_save_context(struct wlr_egl_context *context) {
 	context->display = eglGetCurrentDisplay();
 	context->context = eglGetCurrentContext();
-	context->draw_surface = eglGetCurrentSurface(EGL_DRAW);
-	context->read_surface = eglGetCurrentSurface(EGL_READ);
 }
 
 bool wlr_egl_restore_context(struct wlr_egl_context *context) {
@@ -444,8 +442,8 @@ bool wlr_egl_restore_context(struct wlr_egl_context *context) {
 		return true;
 	}
 
-	return eglMakeCurrent(display, context->draw_surface,
-			context->read_surface, context->context);
+	return eglMakeCurrent(display, EGL_NO_SURFACE,
+			EGL_NO_SURFACE, context->context);
 }
 
 EGLImageKHR wlr_egl_create_image_from_wl_drm(struct wlr_egl *egl,
